Package org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log

## Class PageLockLogSnapshot

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockDump
  - - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log.PageLockLogSnapshot

    public class PageLockLogSnapshot
    extends PageLockDump

Page lock log snapshot.

### Field Summary

Fields
`List<LogEntry>` `locklog` List of log entries.

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockDump

`headIdx, name, nextOp, nextOpPageId, nextOpStructureId, time`

### Constructor Summary

Constructors
`PageLockLogSnapshot​(String name, long time, int headIdx, List<LogEntry> locklog, int nextOp, int nextOpStructureId, long nextOpPageId)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockDump

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### locklog

    public final List<LogEntry> locklog

List of log entries.

### Constructor Detail

#### PageLockLogSnapshot

    public PageLockLogSnapshot​(String name,
                               long time,
                               int headIdx,
                               List<LogEntry> locklog,
                               int nextOp,
                               int nextOpStructureId,
                               long nextOpPageId)